.sr-only {
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  width: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
}

[aria-label="breadcrumbs"] a {
  color: var(--colors-text) !important;
}

.social-list {
  a:hover,
  a:focus {
    outline: 1px solid;
  }
}

.x-container-header-icons {
  shopify-account:hover,
  shopify-account:focus,
  a:hover,
  a:focus {
    outline: 1px solid !important;
  }
}

#shopify-pc__banner__btn-manage-prefs {
  &:hover,
  &:focus {
    text-decoration: none !important;
  }
}
#shopify-pc__banner__btn-accept,
#shopify-pc__banner__btn-decline {
  &:hover,
  &:focus {
    background: #555 !important;
    text-decoration: underline !important;
  }
}

.splide__arrow {
  outline-offset: 2px !important;
  &:hover,
  &:focus {
    outline: 2px solid var(--colors-button-hover) !important;
  }
}

.button.button-solid,
.button.button-outline {
  outline-offset: 2px !important;
  &:hover,
  &:focus {
    outline: 2px solid var(--colors-button-hover) !important;
  }
}

#section-footer {
  padding-bottom: 80px !important;
  a {
    &:after {
      content: "";
      display: block;
      position: absolute;
      left: 0;
      right: 0;
      bottom: 0;
      border-bottom: 1px solid rgba(var(--colors-text-link), 1);
      transition: transform .15s linear;
      transform: scaleX(1);
      transform-origin: 0% 50%;
      color: rgb(var(--colors-text-link));
    }
    &:hover:after,
    &:focus:after {
      transform: scaleX(0);
      transform-origin: 100% 0%;
    }
  }
}

/* home hero fixes to make buttons easier to click */
.splide__pagination button {
  border-radius: 50% !important;
  width: 2rem !important;
  height: 2rem !important;
  background: white !important;
  border: 2px solid #000 !important;
  outline-offset: 2px !important;
  opacity: 0.6 !important;
  margin: 0.5rem;
  &:hover,
  &:focus,
  &[aria-selected="true"] {
    opacity: 1 !important;
    outline: 2px solid var(--colors-button-hover)!important;
  }
  &:before {
    display: none !important;
  }
}
@media (max-width: 768px) {
  .hero-text {
    padding-bottom: 2rem;
  }
}

/* product card quickvew fixes */
.button-quickview-icon,
.quick-view-container {
  opacity: 1;
  transform: none;
}
.button-quickview-icon {
  border-radius: 50% !important;
  outline-offset: 2px !important;
  outline: 2px solid transparent !important;
  &:hover,
  &:focus {
    outline: 2px solid var(--colors-button-hover) !important;
  }
}
.x-card-title {
  &:hover,
  &:focus {
    text-decoration: underline !important;
  }
}
.x-container-quickview-content .splide__arrow {
  opacity: 1 !important;
  transform: none !important;
}

/* Fix shop pay states */
shopify-accelerated-checkout {
  &:hover,
  &:focus,
  &:focus-within {
    outline: 2px solid var(--colors-button-hover) !important;
    outline-offset: 2px;
    display: block;
    border-radius: 100px;
  }
}
more-payment-options-link {
  display: none;
}

.ada-hover-outline {
  outline-offset: 2px !important;
  &:hover,
  &:focus {
    outline: 2px solid var(--colors-button-hover) !important;
  }
}

.ada-hover-underline {
  &:hover,
  &:focus {
    text-decoration: underline !important;
  }
}

/* pagination buttons */
.pagination .button-action {
  background: var(--colors-button-hover) !important;
}

.card-testimonial,
.yotpo-sr-bottom-line-summary,
.yotpo-star-rating-reviews-highly-rated-topics {
  outline-offset: 2px !important;
  &:focus-within,
  &:hover,
  &:focus {
    outline: 2px solid var(--colors-button-hover) !important;
  }
}

/* product single view template */
.product-media-container {
  .splide__arrow {
    opacity: 1;
    transform: none;
  }
}

.yotpo-floater-widget-layout {
  z-index: 1 !important;
}

@media (min-width: 1024px) {
  .group:focus-within .splide__arrow.disable-effect-hover {
    display: block;
  }
}